package com.jkcredit.invoice.model.entity.Calculate;

/**
 * 无车计费信息
 */
public class NoCarCalculateInfor {
    /**
     * 计费id号
     */
    private Long Id;
    /**
     *  交易Id
     */
    private String tradeId;

    /**
     * 客户号
     */
    private String customId;

    /**
     * 公司编号
     */
    private String companyNum;

    /**
     * 购方名称
     */
    private String buyerName;

    /**
     * 购方税号
     */
    private String buyerTaxpayerCode;

    /**
     *开票时间
     */
    private String invoiceMakeTime;
    private String invoiceMakeStart;
    private String invoiceMakeEnd;

    /**
     * 计费费用
     */
    private Long fee;
    /**
     * 计费时间
     */
    private String calculateTime;
    private String calculateStart;
    private String calculateEnd;
    /**
     * 类型 1-无车 2-自有车 3-外协车
     */
    private Integer ctype;

    public Long getId() {
        return Id;
    }

    public void setId(Long id) {
        Id = id;
    }

    public String getTradeId() {
        return tradeId;
    }

    public void setTradeId(String tradeId) {
        this.tradeId = tradeId;
    }

    public Long getFee() {
        return fee;
    }

    public void setFee(Long fee) {
        this.fee = fee;
    }

    public String getCalculateTime() {
        return calculateTime;
    }

    public void setCalculateTime(String calculateTime) {
        this.calculateTime = calculateTime;
    }

    public Integer getCtype() {
        return ctype;
    }

    public void setCtype(Integer ctype) {
        this.ctype = ctype;
    }

    public String getCustomId() {
        return customId;
    }

    public void setCustomId(String customId) {
        this.customId = customId;
    }

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerTaxpayerCode() {
        return buyerTaxpayerCode;
    }

    public void setBuyerTaxpayerCode(String buyerTaxpayerCode) {
        this.buyerTaxpayerCode = buyerTaxpayerCode;
    }

    public String getInvoiceMakeTime() {
        return invoiceMakeTime;
    }

    public void setInvoiceMakeTime(String invoiceMakeTime) {
        this.invoiceMakeTime = invoiceMakeTime;
    }

    public String getInvoiceMakeStart() {
        return invoiceMakeStart;
    }

    public void setInvoiceMakeStart(String invoiceMakeStart) {
        this.invoiceMakeStart = invoiceMakeStart;
    }

    public String getInvoiceMakeEnd() {
        return invoiceMakeEnd;
    }

    public void setInvoiceMakeEnd(String invoiceMakeEnd) {
        this.invoiceMakeEnd = invoiceMakeEnd;
    }

    public String getCalculateStart() {
        return calculateStart;
    }

    public void setCalculateStart(String calculateStart) {
        this.calculateStart = calculateStart;
    }

    public String getCalculateEnd() {
        return calculateEnd;
    }

    public void setCalculateEnd(String calculateEnd) {
        this.calculateEnd = calculateEnd;
    }
}
